Summary: A simple file manager with built-in FTP support.
Name: FileRunner
Version: 2.5.1
Release: 5
Copyright: GPL 
Group: Applications/File
Source0: http://www.cd.chalmers.se/~hch/FileRunner-2.5.1.tar.gz 
Source1: filerunner.wmconfig
Url: http://www.cd.chalmers.se/~hch/filerunner.html 
BuildRoot: /var/tmp/FileRunner-root
Requires: tcl

%description
FileRunner shows you a recursive graphical directory menu of your 
entire file system tree, including a history and hotlist (like
bookmarks).  FileRunner can also be used to browse through FTP
directories as easily as normal directories.  FileRunner supports
many FTP functions (upload/download, delete, makedir, FTP through a
proxy, resume download, asynchronous file transfer, and more) and is 
very configurable and extensible.

%prep
%setup -q 

%build
make -f Makefiles/Makefile.linux_gcc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/FileRunner/bitmaps
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

cp -a bitmaps/* $RPM_BUILD_ROOT/usr/lib/FileRunner/bitmaps
cp -a *.tcl $RPM_BUILD_ROOT/usr/lib/FileRunner
cp -a ext.so $RPM_BUILD_ROOT/usr/lib/FileRunner
cp -a fr.gif $RPM_BUILD_ROOT/usr/lib/FileRunner
cp -a icon.xpm $RPM_BUILD_ROOT/usr/lib/FileRunner
cp -a tclIndex $RPM_BUILD_ROOT/usr/lib/FileRunner

install -m755 fr $RPM_BUILD_ROOT/usr/lib/FileRunner/fr
install -m755 frcolor $RPM_BUILD_ROOT/usr/lib/FileRunner/frcolor
install -m755 frftp $RPM_BUILD_ROOT/usr/lib/FileRunner/frftp

install -m644 {COPYING,FAQ,HISTORY,KnownBugs.txt,QuickStart.txt,README,Tips.txt,Users_Guide.txt} $RPM_BUILD_ROOT/usr/lib/FileRunner
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/FileRunner.desktop <<EOF
[Desktop Entry]
Name=FileRunner
Type=Application
Description=FileRunner
Exec=fr
EOF

cd $RPM_BUILD_ROOT/usr/bin
ln -s ../lib/FileRunner/fr fr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING FAQ HISTORY QuickStart.txt README Tips.txt
%doc Users_Guide.txt 
/usr/lib/FileRunner/*
/usr/bin/fr
/etc/X11/applnk/Utilities/FileRunner.desktop

%changelog
* Fri Mar 30 2001 Tim Powers <timp@redhat.com>
- fixed bug #31378, #34074

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jun 2 2000 Tim Powers <timp@redhat.com>
- no more wmconfig, applnk instead

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- updated to 2.5.1

* Mon Apr 10 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- bzipped source

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added filerunner.wmconfig

* Fri Jun 25 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- updated 6.0 

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- upgraded package
- cleaned up spec file

* Tue May 19 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.4.2

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
- fixed description

* Thu Jan 08 1998 Mike Wangsmo <wanger@redhat.com>
- initial build
